org.eclipse.wst.jsdt.js.node.common.json.objects

## Class PackageJson

- java.lang.Object
- - org.eclipse.wst.jsdt.js.node.common.json.objects.PackageJson

    public class PackageJson
    extends java.lang.Object

Specifics of npm's package.json

See Also:
  https://docs.npmjs.com/files/package.json

### Nested Class Summary

Nested Classes
`static class` `PackageJson.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()`
`java.util.Map<java.lang.String,java.lang.String>` `getBin()`
`java.util.Map<java.lang.String,java.lang.String>` `getBugs()`
`java.util.List<java.lang.String>` `getBundledDependencies()`
`java.util.Map<java.lang.String,java.lang.String>` `getConfig()`
`java.util.List<java.util.Map<java.lang.String,java.lang.String>>` `getContributors()`
`java.lang.String` `getCpu()`
`java.util.Map<java.lang.String,java.lang.String>` `getDependencies()`
`java.lang.String` `getDescription()`
`java.util.Map<java.lang.String,java.lang.String>` `getDevDependencies()`
`java.util.Map<java.lang.String,java.lang.String>` `getDirectories()`
`java.util.Map<java.lang.String,java.lang.String>` `getEngines()`
`java.util.List<java.lang.String>` `getFiles()`
`java.lang.String` `getHomepage()`
`java.lang.Boolean` `getIsPrivate()`
`java.util.List<java.lang.String>` `getKeywords()`
`java.lang.String` `getLicense()`
`java.util.List<java.util.Map<java.lang.String,java.lang.String>>` `getLicenses()`
`java.lang.String` `getMain()`
`java.lang.String` `getMan()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.String>` `getOptionalDependencies()`
`java.lang.String` `getOs()`
`java.util.Map<java.lang.String,java.lang.String>` `getPeerDependencies()`
`java.lang.Boolean` `getPreferGlobal()`
`java.util.Map<java.lang.String,java.lang.String>` `getPublishConfig()`
`java.util.Map<java.lang.String,java.lang.String>` `getRepository()`
`java.util.Map<java.lang.String,java.lang.String>` `getScripts()`
`java.lang.String` `getVersion()`
`void` `setAuthor(java.lang.String author)`
`void` `setBin(java.util.Map<java.lang.String,java.lang.String> bin)`
`void` `setBugs(java.util.Map<java.lang.String,java.lang.String> bugs)`
`void` `setBundledDependencies(java.util.List<java.lang.String> bundledDependencies)`
`void` `setConfig(java.util.Map<java.lang.String,java.lang.String> config)`
`void` `setContributors(java.util.List<java.util.Map<java.lang.String,java.lang.String>> contributors)`
`void` `setCpu(java.lang.String cpu)`
`void` `setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`void` `setDescription(java.lang.String description)`
`void` `setDevDependencies(java.util.Map<java.lang.String,java.lang.String> devDependencies)`
`void` `setDirectories(java.util.Map<java.lang.String,java.lang.String> directories)`
`void` `setEngines(java.util.Map<java.lang.String,java.lang.String> engines)`
`void` `setFiles(java.util.List<java.lang.String> files)`
`void` `setHomepage(java.lang.String homepage)`
`void` `setIsPrivate(java.lang.Boolean isPrivate)`
`void` `setKeywords(java.util.List<java.lang.String> keywords)`
`void` `setLicense(java.lang.String license)`
`void` `setLicenses(java.util.List<java.util.Map<java.lang.String,java.lang.String>> licenses)`
`void` `setMain(java.lang.String main)`
`void` `setMan(java.lang.String man)`
`void` `setName(java.lang.String name)`
`void` `setOptionalDependencies(java.util.Map<java.lang.String,java.lang.String> optionalDependencies)`
`void` `setOs(java.lang.String os)`
`void` `setPeerDependencies(java.util.Map<java.lang.String,java.lang.String> peerDependencies)`
`void` `setPreferGlobal(java.lang.Boolean preferGlobal)`
`void` `setPublishConfig(java.util.Map<java.lang.String,java.lang.String> publishConfig)`
`void` `setRepository(java.util.Map<java.lang.String,java.lang.String> repository)`
`void` `setScripts(java.util.Map<java.lang.String,java.lang.String> scripts)`
`void` `setVersion(java.lang.String version)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getVersion

    public java.lang.String getVersion()

#### setVersion

    public void setVersion(java.lang.String version)

#### getScripts

    public java.util.Map<java.lang.String,java.lang.String> getScripts()

#### setScripts

    public void setScripts(java.util.Map<java.lang.String,java.lang.String> scripts)

#### getLicense

    public java.lang.String getLicense()

#### setLicense

    public void setLicense(java.lang.String license)

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription(java.lang.String description)

#### getMain

    public java.lang.String getMain()

#### setMain

    public void setMain(java.lang.String main)

#### getAuthor

    public java.lang.String getAuthor()

#### setAuthor

    public void setAuthor(java.lang.String author)

#### getHomepage

    public java.lang.String getHomepage()

#### setHomepage

    public void setHomepage(java.lang.String homepage)

#### getDependencies

    public java.util.Map<java.lang.String,java.lang.String> getDependencies()

#### setDependencies

    public void setDependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### getContributors

    public java.util.List<java.util.Map<java.lang.String,java.lang.String>> getContributors()

#### setContributors

    public void setContributors(java.util.List<java.util.Map<java.lang.String,java.lang.String>> contributors)

#### getBin

    public java.util.Map<java.lang.String,java.lang.String> getBin()

#### setBin

    public void setBin(java.util.Map<java.lang.String,java.lang.String> bin)

#### getMan

    public java.lang.String getMan()

#### setMan

    public void setMan(java.lang.String man)

#### getRepository

    public java.util.Map<java.lang.String,java.lang.String> getRepository()

#### setRepository

    public void setRepository(java.util.Map<java.lang.String,java.lang.String> repository)

#### getBugs

    public java.util.Map<java.lang.String,java.lang.String> getBugs()

#### setBugs

    public void setBugs(java.util.Map<java.lang.String,java.lang.String> bugs)

#### getKeywords

    public java.util.List<java.lang.String> getKeywords()

#### setKeywords

    public void setKeywords(java.util.List<java.lang.String> keywords)

#### getDevDependencies

    public java.util.Map<java.lang.String,java.lang.String> getDevDependencies()

#### setDevDependencies

    public void setDevDependencies(java.util.Map<java.lang.String,java.lang.String> devDependencies)

#### getPreferGlobal

    public java.lang.Boolean getPreferGlobal()

#### setPreferGlobal

    public void setPreferGlobal(java.lang.Boolean preferGlobal)

#### getPublishConfig

    public java.util.Map<java.lang.String,java.lang.String> getPublishConfig()

#### setPublishConfig

    public void setPublishConfig(java.util.Map<java.lang.String,java.lang.String> publishConfig)

#### getEngines

    public java.util.Map<java.lang.String,java.lang.String> getEngines()

#### setEngines

    public void setEngines(java.util.Map<java.lang.String,java.lang.String> engines)

#### getOs

    public java.lang.String getOs()

#### setOs

    public void setOs(java.lang.String os)

#### getCpu

    public java.lang.String getCpu()

#### setCpu

    public void setCpu(java.lang.String cpu)

#### getBundledDependencies

    public java.util.List<java.lang.String> getBundledDependencies()

#### setBundledDependencies

    public void setBundledDependencies(java.util.List<java.lang.String> bundledDependencies)

#### getPeerDependencies

    public java.util.Map<java.lang.String,java.lang.String> getPeerDependencies()

#### setPeerDependencies

    public void setPeerDependencies(java.util.Map<java.lang.String,java.lang.String> peerDependencies)

#### getOptionalDependencies

    public java.util.Map<java.lang.String,java.lang.String> getOptionalDependencies()

#### setOptionalDependencies

    public void setOptionalDependencies(java.util.Map<java.lang.String,java.lang.String> optionalDependencies)

#### getConfig

    public java.util.Map<java.lang.String,java.lang.String> getConfig()

#### setConfig

    public void setConfig(java.util.Map<java.lang.String,java.lang.String> config)

#### getDirectories

    public java.util.Map<java.lang.String,java.lang.String> getDirectories()

#### setDirectories

    public void setDirectories(java.util.Map<java.lang.String,java.lang.String> directories)

#### getFiles

    public java.util.List<java.lang.String> getFiles()

#### setFiles

    public void setFiles(java.util.List<java.lang.String> files)

#### getLicenses

    public java.util.List<java.util.Map<java.lang.String,java.lang.String>> getLicenses()

#### setLicenses

    public void setLicenses(java.util.List<java.util.Map<java.lang.String,java.lang.String>> licenses)

#### getIsPrivate

    public java.lang.Boolean getIsPrivate()

#### setIsPrivate

    public void setIsPrivate(java.lang.Boolean isPrivate)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`